Bug 4916 - CIFS VFS: close with pending writes
CIFS VFS: close with pending writes
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
x86 Linux
: P3 major
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2007-08-23 09:50 UTC by Charles CUNIN
Modified: 2009-05-14 15:25 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Charles CUNIN 2007-08-23 09:50:24 UTC
We use a windows share on a Windows 200 server and a linux server RED HAT ES 4 as client.

Under heavy load, we had the message below 
kernel: smb_add_request: request [eb542200, mid=13298] timed out!
After some research on internet and some tests on our machine, we get this error only with kernel 2.6.xx (even the last) and nothing with kernel 2.4

So we try to use CIFS and the fsstress programme to check if it was better. Now
we get the message "CIFS VFS: close with pending writes". 

We tried 600 Process and 20, 50 100 operations 
-When using local disk, it works
-When using 600 x 20 operations, it works
-But in the other case, the message CIFS VFS appears and the client program 
 has no error return code. 

It is better tha then the smb mount but not perfect

Is there a solution ?


Charles CUNIN
Comment 1 Steve French 2008-12-05 14:16:46 UTC
This is much better in and 2.6.28 kernels (we added changes to the cifs send logic which help the cifs tcp retransmission path under heavy stress)
Comment 2 Steve French 2009-05-14 15:25:31 UTC
The changes to the sendpath in cifs have removed the most common case for sendtimeouts which led to this message (close with pending writes) and the timeout/backoff logic was fixed to be consistent.